package com.stellvoy.api.client.remark;

import com.stellvoy.api.client.remark.fallback.RemarkClientFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "remark-service", fallbackFactory = RemarkClientFallback.class)
public interface RemarkClient {

    @GetMapping("/likes/list")
    public List<Long> getLikedIds(@RequestParam List<Long> bizIds);

    }

