package com.stellvoy.api.dto.user;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class NewUserDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 手机号
     */
    private String cellPhone;

    /**
     * 密码
     */
    private String password;

    /**
     * 账户状态：0-禁用，1-正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 创建者id
     */

    private Long creater;
    /**
     * 修改者id
     */

    private Long updater;
    /**
     * 头像
     */

    private String image;
    /**
     * 身份证号
     */
    private String identityCardId;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 是否第一次登录后进入首页 0否1是
     */
    private Integer isNew;
    /**
     * 学校
     */
    private String school;
    /**
     * 专业
     */
    private String major;
    /**
     * 简历
     */
    private String resume;
    private Integer sex;//性别：0，男；1，女
}
