package com.stellvoy.customer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("message")
public class messageEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "message_id",type = IdType.AUTO)
    private Long messageId;  // 消息ID
    private Long  senderId ; // 发送者ID
    private String messageContent; // 消息内容
    private LocalDateTime createdTime; // 假设这是你的字段名
    @TableField("session_id")
    private Long sessionId ; // 会话ID
}

