package com.stellvoy.learning.controller;

import com.stellvoy.learning.domain.vo.SelectCourseVo;
import com.stellvoy.learning.service.CourseService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/course")
@RequiredArgsConstructor
public class CourseController {
    private final CourseService courseService;

    /**
     * 查询课程信息
     * @return
     */
    @GetMapping("/select")
    public List<SelectCourseVo> selectCourse() {
        return courseService.selectCourse();
    }
}
