package com.stellvoy.learning.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.List;

@Data
public class Section {
    //    小节id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //    小节名称
    private String name;
    //    小节描述
    private String description;
    //    小节所属课程id
    private Long courseId;
    //    小节序号
    private Integer serialNum;
    //    小节视频 url
    private String videoUrl;
    //    课程状态，0为下架，1为上架
    private Integer status;
    //    课程类型，0为免费，1为收费
    private Integer type;
}
