package com.stellvoy.learning.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.stellvoy.learning.domain.po.Section;
import lombok.Data;

import java.util.List;

@Data
public class SelectCourseVo {
    //    课程id
    private Long id;
    //    课程名称
    private String name;
    //    课程描述
    private String description;
    //    小节数量
    private Integer sectionNum;
    //    学习人数
    private Integer learnerNum;
    //    通过人次
    private String throughput;
    //    勋章名称
    private String medalName;
    //    勋章图片
    private String medalUrl;
    //    课程状态，0为下架，1为上架
    private Integer status;
    //    课程类型，0为免费，1为收费
    private Integer type;
    //    小节数据
    private List<Section> sections;
}
