package com.stellvoy.task.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user")
public class UserEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id")
    private Long id;
    private String username;
    private String cellPhone;
    private String password;
    private String status;
    private String type;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;
    private Long creater;
    private Long updater;
    private Long ifActivation; // 是否激活：0，未激活；1，已激活（人工审批区分内部/外来人员）
    private Long permissions; //  权限：0，员工；1，项目经理；2，零工分配任务资源包
    private Long sex; //性别：0，男；1，女



}
