package com.stellvoy.customer.entity;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("file")
public class fileEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "file_id",type = IdType.AUTO)
    private Long fileId;
    private String filePath; // 文件路径
    private String fileName; // 文件名称
    private Long fileType;// 文件类型：0，图片；1，视频；3，文本
    private LocalDateTime createdTime; // 创建时间

    @TableField("session_id")
    private Long sessionId ; // 会话ID

}

