package com.stellvoy.customer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("session")
public class sessionEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "session_id",type = IdType.AUTO)
    private Long sessionId;
    private Long userId;
    private LocalDateTime createdTime;

    private List<messageEntity> messageEntity;
    private List<fileEntity> fileEntity;
    private List<userEntity> userEntity;

//    private List<questionEntity> questionEntity;
}
