package com.stellvoy.customer.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.stellvoy.customer.entity.fileEntity;
import com.stellvoy.customer.entity.messageEntity;
import com.stellvoy.customer.entity.sessionEntity;
import com.stellvoy.customer.entity.userEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface sessionMapper extends BaseMapper<sessionEntity> {
    List<sessionEntity> getSessionWithMessagesByUserId(@Param("userId") Long userId);
    sessionEntity findSessionByUserId(@Param("userId") Long userId);
    void insertSession(sessionEntity sessionEntity);
    void insertMessage(messageEntity messageEntity);
    userEntity getUserById(@Param("userId") Long userId);
    void insertFileData(fileEntity fileEntity);
}
