package com.stellvoy.learning.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Course {
    //    课程id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //    课程名称
    private String name;
    //    课程描述
    private String description;
    //    小节数量
    private Integer sectionNum;
    //    学习人数
    private Integer learnerNum;
    //    通过人次
    private String throughput;
    //    勋章名称
    private String medalName;
    //    勋章图片
    private String medalUrl;
    //    课程状态，0为下架，1为上架
    private Integer status;
    //    课程类型，0为免费，1为收费
    private Integer type;
}
