package com.stellvoy.message.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("message")
public class Message {
    //    消息id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //    关联用户id
    private Long userId;
    //    消息类型0系统消息
    private Integer type;
    //    消息名
    private String messageName;
    //    消息内容
    private String description;
    //    创建时间
    private LocalDateTime createTime;
}
