package com.stellvoy.task.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user_task")
public class UserTaskEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id")
    private Long id;
    private Long taskId;
    private Long userId;
    private Long taskStatus;
    // 排名所用字段
    private String rankingType;
    private String userName;
    private Double totalIncome;
    private Integer completedTasks;
    private Integer sex;

    // 添加 incomeEntities 集合
    private List<IncomeEntity> incomeEntity;
}
